import request from '@/utils/request'

// 查询会议室管理列表
export function listConfRoom(query) {
  return request({
    url: '/plant/confRoom/list',
    method: 'get',
    params: query
  })
}

// 查询会议室管理详细
export function getConfRoom(id) {
  return request({
    url: '/plant/confRoom/' + id,
    method: 'get'
  })
}

// 新增会议室管理
export function addConfRoom(data) {
  return request({
    url: '/plant/confRoom',
    method: 'post',
    data: data
  })
}

// 修改会议室管理
export function updateConfRoom(data) {
  return request({
    url: '/plant/confRoom',
    method: 'put',
    data: data
  })
}

// 删除会议室管理
export function delConfRoom(id) {
  return request({
    url: '/plant/confRoom/' + id,
    method: 'delete'
  })
}

// 导出会议室管理
export function exportConfRoom(query) {
  return request({
    url: '/plant/confRoom/export',
    method: 'get',
    params: query
  })
}
